#!/bin/sh

# use -usage parameter to know the syntax of this command

# XDI_RUNTIME=/home/sdi/sdi

if [ "$XDI_RUNTIME" = "" ]; then
        XDI_RUNTIME=.
        export XDI_RUNTIME
fi

. $XDI_RUNTIME/initvariables.sh

if [ "$STAMBIA_JAVA_HOME" = "" ]; then
        if [ "$JAVA_HOME" = "" ]; then
	        java -Dxpath.function.setStagingpoint.supported=true -Xms256m -Xmx512m -classpath "$XDI_RUNTIME_BUILD_CLASSPATH" com.indy.ant.Launcher  -f build.ant "$@"
        else
                "$JAVA_HOME/bin/java" -Dxpath.function.setStagingpoint.supported=true -Xms256m -Xmx512m -classpath "$XDI_RUNTIME_BUILD_CLASSPATH" com.indy.ant.Launcher  -f build.ant "$@"
        fi
else
	"$STAMBIA_JAVA_HOME/bin/java" -Dxpath.function.setStagingpoint.supported=true -Xms256m -Xmx512m -classpath "$XDI_RUNTIME_BUILD_CLASSPATH" com.indy.ant.Launcher  -f build.ant "$@"
fi



